Los modelos del 4S al X podrían estar bajo el riesgo, entre otros, de que los piratas eludan los bloqueos de cuentas de iCloud para obtener información. (Foto: Pixabay)
Los modelos del 4S al X podrían estar bajo el riesgo, entre otros, de que los piratas eludan los bloqueos de cuentas de iCloud para obtener información. (Foto: Pixabay)

Hace unos días se dio a conocer una nueva vulnerabilidad de grandes proporciones para Apple, pues afecta a todos los dispositivos de la marca californiana con los chips que van desde el A5 hasta el A11. Es decir, podría afectar a los dispositivos iOS desde el modelo 4S, cuyo lanzamiento fue en 2011 hasta el iPhone X, que salió a la venta en 2017.

Este problema consiste en una falla explotable (o exploit, en inglés) que ha sido llamada checkm8 y la cual podría conducir a un jailbreak permanente sin la posibilidad de desbloquearlo, pues se aloja en una memoria de sólo lectura, lo cual hace imposible que Apple pueda corregir el problema, ya que ninguna actualización de software tendría efecto sobre ese aspecto para solucionarlo.

Realizar el jailbreak a un iPhone le permite a los usuarios personalizar sus dispositivos y ejecutar aplicaciones que no están respaldas por Apple y, por lo tanto, no se encuentran en su App Store. La compañía ha mencionado que este tipo de modificaciones no están autorizadas, ya que pueden llevar a vulnerabilidades de seguridad, caídas en el dispositivo y pérdida de datos.

Para este caso, la vulnerabilidad le podría dar acceso profundo a los piratas informáticos para acceder a los dispositivos iOS. Sin embargo, aún es temprano para encender las alarmas, pues, según el portal especializado The Verge, no existe un jailbreak real que aproveche este problema, lo cual significa que todavía no es posible descargar la herramienta y descifrar el dispositivo.

Apple no tendría la capacidad de corregir el problema debido a la naturaleza de la falla. (Foto: Reuters)
Apple no tendría la capacidad de corregir el problema debido a la naturaleza de la falla. (Foto: Reuters)

Además, actualmente el exploit únicamente se puede activar a través de un USB, por lo que sería necesario realizar el proceso de activación por medio de una computadora, lo cual limita la utilidad del jailbreak en estos momentos.

Cabe mencionar que entre algunos de los riesgos que la activación de una vulnerabilidad de este tipo podría acarrear serían que quienes la aprovechen, lo hagan para eludir los bloqueos de las cuentas de iCloud de Apple, las cuales se usan para inutilizar dispositivos robados o perdidos. Incluso se podrían usar para instalar versiones “envenenadas" de iOS, con las cuales sería posible robar información del usuario.

Si bien la escena de los jailbreak en iOS fue sumamente socorrida durante las primeras generaciones del iPhone pues permitía tener un control mucho más profundo del dispositivo y su funciones, en la actualidad ya no era tan popular debido a las nuevas funciones que Apple ha ido implementado en cada una de sus actualizaciones.

No obstante, los entusiastas de este tipo de herramientas han notado un nuevo horizonte para sus prácticas a partir de la publicación del chEckm8 y de que en agosto pasado, la propia Apple eliminó una vulnerabilidad de su sistema operativo, lo cual permitió a muchas personas liberar sus dispositivos aun cuando la compañía solucionó el problema en poco tiempo.

Los modelos más recientes de iPhone no se verán afectados por este problema. (Foto: Nicolas Asfouri/AFP)
Los modelos más recientes de iPhone no se verán afectados por este problema. (Foto: Nicolas Asfouri/AFP)

En algunas plataformas como Reddit, lo usuarios han mostrado su optimismo en cuanto a la modificación de los iPhone. Un testimonio recogido por The Verge decía que esto era “lo más grande que ha sucedido al jailbreak a causa de la cantidad de versiones de dispositivos que podría alcanzar.

Si bien en el lanzamiento de iOS 13, la nueva versión del sistema operativo de Apple, se hicieron públicas algunas fallas de seguridad como la que permitía a otros revisar la información de contacto o la relacionada con los teclados de terceros, parece que en este caso no se afectará a los dispositivos más recientes.

De acuerdo con el usuario que descubrió el exploit de los iPhone, los procesadores A12 puestos a la venta el año pasado ya están protegidos contra este problema. Así, los dispositivos iPhone XS/XR y 11/11 Pro no se verán afectados.